import 'package:shared_preferences/shared_preferences.dart';

abstract class LoriPushNotificationToken {
  static void storePushNotificationToken(String token) {
    SharedPreferences.getInstance().then((preferences) {
      preferences.setString('firebase_token', token);
    });
  }

  static Future<String> getStoredPushNotificationToken() async {
    final preferences = await SharedPreferences.getInstance();
    return preferences.getString('firebase_token');
  }
}
