import 'package:json_annotation/json_annotation.dart';
import 'package:lori_sdk/data/models/product/opinionResponse.dart';

part 'opinion.g.dart';

@JsonSerializable()
class Opinion {
  Opinion();

  String id;
  String createDate;
  List<OpinionResponse> responses;

  factory Opinion.fromJson(Map<String, dynamic> json) =>
      _$OpinionFromJson(json);

  Map<String, dynamic> toJson() => _$OpinionToJson(this);
}
