import 'package:json_annotation/json_annotation.dart';

part 'tutorialItem.g.dart';

@JsonSerializable()
class TutorialItem {
  TutorialItem();

  String title;
  String message;
  String image;
  int order;

  factory TutorialItem.fromJson(Map<String, dynamic> json) =>
      _$TutorialItemFromJson(json);

  Map<String, dynamic> toJson() => _$TutorialItemToJson(this);
}
