import 'package:json_annotation/json_annotation.dart';

part 'category.g.dart';

@JsonSerializable()
class Category {
  Category();

  String id;
  String name;
  String description;
  String imageUrl;
  String iconUrl;
  bool hasChildren;
  int productCount;
  int availableProductCount;
  bool isActive;

  factory Category.fromJson(Map<String, dynamic> json) =>
      _$CategoryFromJson(json);

  Map<String, dynamic> toJson() => _$CategoryToJson(this);
}
